Fehler bei 9.1 --> 9.2 upgrade

Alles rund um die Installation Eures Linuxsystems, sowie die Updatefunktionen des Systems und das Paketmanagement

Moderator: Moderatoren

Gesperrt
ahab
Newbie
Newbie
Beiträge: 10
Registriert: 1. Nov 2004, 10:43

Fehler bei 9.1 --> 9.2 upgrade

Beitrag von ahab » 9. Apr 2005, 11:28

Hi alle,
hab noch ein paar Fragen, bevor ich fortfahre:

hier meine Fehler nach MyUpgrade:

810MB in 28m46s (469kB/s) geholt
tcpd = 7.6-713 is needed by tcpd-7.6-713.2
htdig = 3.2.0b6-3 is needed by htdig-3.2.0b6-3.2
ImageMagick-Magick++ = 6.0.7-4 | ImageMagick-Magick++ = 6.0.7-4.2 | ImageMagick-Magick++ = 6.0.7-4.4 is needed by ImageMagick-Magick++-6.0.7-4.6
aaa_base = 9.2-5 | aaa_base = 9.2-5.2 is needed by aaa_base-9.2-5.4
tiff = 3.6.1-47 is needed by tiff-3.6.1-47.4
perl = 5.8.3 is needed by (installed) Video-DVDRip-0.52.3-0.pm.0
libreadline.so.4 is needed by (installed) xine-ui-0.99.3-0.pm.0
E: Transaction set check failed

libreadline.so.4 ist nicht im script

hier die zugehörigen apt policies, (es ist doch richtig immer die "base" Versionen ins Script aufzunehmen?)

tcpd:
Installiert: 7.6-710
Kandidat: 7.6-713.2
Versionstabelle:
7.6-713.2 0

1001 ftp://ftp.gwdg.de SuSE/9.2-i386/update-prpm pkglist
1001 ftp://ftp.gwdg.de SuSE/9.2-i386/update pkglist
7.6-713 0
1001 ftp://ftp.gwdg.de SuSE/9.2-i386/base pkglist
*** 7.6-710 0
100 RPM Database

htdig:
Installiert: 3.1.6-402.4
Kandidat: 3.2.0b6-3.2
Versionstabelle:
3.2.0b6-3.2 0
1001 ftp://ftp.gwdg.de SuSE/9.2-i386/update-prpm pkglist
1001 ftp://ftp.gwdg.de SuSE/9.2-i386/update pkglist
1001 ftp://ftp.gwdg.de SuSE/9.2-i386/security-prpm pkglist
1001 ftp://ftp.gwdg.de SuSE/9.2-i386/security pkglist
3.2.0b6-3.1 0
1001 ftp://ftp.gwdg.de SuSE/9.2-i386/base pkglist
*** 3.1.6-402.4 0
100 RPM Database

ImageMagick-Magick++:
Installiert: 5.5.7-225.15
Kandidat: 6.0.7-4.6
Versionstabelle:
6.0.7-4.6 0
1001 ftp://ftp.gwdg.de SuSE/9.2-i386/update-prpm pkglist
1001 ftp://ftp.gwdg.de SuSE/9.2-i386/update pkglist
1001 ftp://ftp.gwdg.de SuSE/9.2-i386/security-prpm pkglist
1001 ftp://ftp.gwdg.de SuSE/9.2-i386/security pkglist
6.0.7-4.4 0
1001 ftp://ftp.gwdg.de SuSE/9.2-i386/update-prpm pkglist
1001 ftp://ftp.gwdg.de SuSE/9.2-i386/update pkglist
1001 ftp://ftp.gwdg.de SuSE/9.2-i386/security-prpm pkglist
1001 ftp://ftp.gwdg.de SuSE/9.2-i386/security pkglist
6.0.7-4.3 0
1001 ftp://ftp.gwdg.de SuSE/9.2-i386/base pkglist
*** 5.5.7-225.15 0
100 RPM Database

aaa_base:
Installiert: 9.1-0.29
Kandidat: 9.2-5.4
Versionstabelle:
9.2-5.4 0
1001 ftp://ftp.gwdg.de SuSE/9.2-i386/update-prpm pkglist
1001 ftp://ftp.gwdg.de SuSE/9.2-i386/update pkglist
9.2-5.2 0
1001 ftp://ftp.gwdg.de SuSE/9.2-i386/base pkglist
1001 ftp://ftp.gwdg.de SuSE/9.2-i386/update pkglist
1001 ftp://ftp.gwdg.de SuSE/9.2-i386/security pkglist
*** 9.1-0.29 0
100 RPM Database

tiff:
Installiert: (nichts)
Kandidat: 3.6.1-47.4
Versionstabelle:
3.6.1-47.4 0
1001 ftp://ftp.gwdg.de SuSE/9.2-i386/update-prpm pkglist
1001 ftp://ftp.gwdg.de SuSE/9.2-i386/update pkglist
1001 ftp://ftp.gwdg.de SuSE/9.2-i386/security-prpm pkglist
1001 ftp://ftp.gwdg.de SuSE/9.2-i386/security pkglist
3.6.1-47.3 0
1001 ftp://ftp.gwdg.de SuSE/9.2-i386/base pkglist
3.6.1-45 0
1001 ftp://ftp.gwdg.de SuSE/9.2-i386/suse-people pkglist

perl:
Installiert: 5.8.3-32.4
Kandidat: 5.8.5-3.2
Versionstabelle:
5.8.5-3.2 0
1001 ftp://ftp.gwdg.de SuSE/9.2-i386/update-drpm pkglist
1001 ftp://ftp.gwdg.de SuSE/9.2-i386/update-prpm pkglist
1001 ftp://ftp.gwdg.de SuSE/9.2-i386/update pkglist
1001 ftp://ftp.gwdg.de SuSE/9.2-i386/security-prpm pkglist
1001 ftp://ftp.gwdg.de SuSE/9.2-i386/security pkglist
5.8.5-3 0
1001 ftp://ftp.gwdg.de SuSE/9.2-i386/base pkglist
*** 5.8.3-32.4 0
100 RPM Database

libreadline.so.4:
Installiert: (nichts)
Kandidat: (nichts)
Versionstabelle:

ausserdem wollte ich euch noch bitten, meine conf-files zu checken, bevor ich was futsch mache:

apt.conf:

// with "apt-config dump" all settings can be viewed

Acquire::CDROM::Copy "true";

Debug
{
pkgRPMPM "false";
}

RPM
{
// Hold (do not update) a list with pkgs:
// Hold { "k_deflt"; "sane"; };
// Leave list empty to disable
// Hold { "k-deflt"; };
Hold { };
Ignore {"gpg-pubkey"; };

Options { };
Install-Options "";
Erase-Options "";
Source {
Build-Command "rpmbuild --rebuild";
};
}

// Directory layout
Dir "/"
{
// Location of the state dir
State "local/state/apt/"
{
lists "lists-9.2/";
status "/local/status";
...
};

// Location of the cache dir
Cache "local/cache/apt/" {
archives "archives-9.2/";
srcpkgcache "srcpkgcache-9.2.bin";
pkgcache "pkgcache-9.2.bin";
};
...
};

gpg.checker.conf:

// Make GPG::Check no; to disable gpg checking
// It can still be used in combination with --checksig
GPG::Check false;
Scripts:RazzM::Pre:: gpg-checker.lua;

und die source list:

#
# Repository created by: aptate (version 0.69.2)
# At: Fri Apr 8 22:06:49 MEST 2005
# More info about aptate at: http://apt4rpm.sourceforge.net
#
rpm ftp://ftp.gwdg.de/pub/linux/suse/apt SuSE/9.2-i386 rpmkeys base update
-drpm update-prpm update kde misc xorg mozilla samba3 ximian suser-rbos suser-je
ngelh suser-oc2pus suser-guru suser-gbv suser-kpietrz suser-obengs suser-tcousin
suser-tux suser-scorot suser-sbarnin suser-ollakka funktronics packman packman-
i686 kernel-of-the-day kraxel wine suse-people suse-projects kde3-stable kde-uns
table security-prpm security
rpm-src ftp://ftp.gwdg.de/pub/linux/suse/apt SuSE/9.2-i386 rpmkeys base update
-drpm update-prpm update kde misc xorg mozilla samba3 ximian suser-rbos suser-je
ngelh suser-oc2pus suser-guru suser-gbv suser-kpietrz suser-obengs suser-tcousin
suser-tux suser-scorot suser-sbarnin suser-ollakka funktronics packman packman-
i686 kernel-of-the-day kraxel wine suse-people suse-projects kde3-stable kde-uns
table security-prpm security

und noch die security.list
rpm ftp://mirrors.mathematik.uni-bielefeld. ... x/suse/apt SuSE/9.2-i
386 security
rpm ftp://ftp.gwdg.de/pub/linux/suse/apt SuSE/9.2-i386 security

Vielen Dank fürs drüberschauen.

Werbung:
}-Tux-{
Moderator
Moderator
Beiträge: 696
Registriert: 12. Dez 2004, 19:54
Kontaktdaten:

Beitrag von }-Tux-{ » 9. Apr 2005, 14:34

Hi

hast du dir schon das howto komplett durchgelesen???
schau nochmal bei schritt 18 nach, da wird dein Problem gelöst :wink:

Desweiteren würde ich mir an deiner stelle erstmal eine "vernünftige" sources.list erstellen... wie und womit das geht steht auch hier im forum :wink: (apt kommt mit drpm, prpm nicht klar...)

mfg }-Tux-{

Gesperrt

Wer ist online?

Mitglieder in diesem Forum: 0 Mitglieder und 4 Gäste